> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user

> Update an existing Sendforsign client user's name, email or custom key via the API.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**user** `object` *required*

Structure, use the fields that should be updated.

**child attribute**

**userKey** `string` *required*

ID of the user.

**fullname** `string`

First and second names of the user.

**email** `string`

Email of the user.

**customKey** `string`

User custom key, if you used it when creating the user.

### Response

**user** `string`

User structure.

**child attribute**

**changeTime** `string`

Change time.

**userKey** `string`

ID of the user.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/user' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "update",
				   "clientKey": "YOUR_CLIENT_KEY",
				   "user": {
							  "userKey": "USER_KEY",
							  "fullname": "John Johnson",
							  "email": "john_johnson@mail.com", 
							  "customKey": "YOUR_COMBINATION"
						    }
				  }
       }'
```

```json Response theme={null}
	{
       "user": {
                "changeTime": "2023-12-01 12:18:55",
                "userKey": "USER_KEY", 
		},
       "code": "201",
       "message": "User updated"
    } 
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.